--- title: "Get Allowed Hashes" slug: "get-allowed-hashes-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:56:58Z published: 2026-11-19T12:56:58Z canonical: "docs.trellix.com/get-allowed-hashes-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Allowed Hashes This URL gets the list of allowed hashes. ### Resource URL GET /advancedmalware/allowedhashes?search= ### Request Parameters | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `Search` | Search string | String | No | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `allowedHashList` | List of allowed hashes | Array | Details of allowedHashList: | Field Name | Description | Data Type | | --- | --- | --- | | `filehash` | File hash | String | | `fileName` | File name | String | | `classifier` | Classifier | String | | `classified` | Classified | String | | `commet` | Comment | String | ### Example **Request** GET [https://< NSM_IP>/sdkapi advancedmalware/allowedhashes](https://<%20NSM_IP>/sdkapi%20advancedmalware/allowedhashes) **Response** ``` {     “allowedHashList”: [{ “fileHash”:”1aaaaaaaaaaaaaaaaaaaaaaaaaaaaa17”, “fileName”:”1aaaaaaaaaaaaaaaaaaaaaaaaaaaaa17”, “classifier”:”Manually updated by  Administrator”, “classified”:”2013-09-03 12:56:48.0”, “comment”:”allowed based on user request “}]} } ``` ### Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 4904 | Failed to retrieve data |